name: warehouse
display_name: Warehouse
version: 4.3.7
author:
  name: "IQIT COMMERCE"
  email: "support@iqit-commerce.com"
  url: "http://www.iqit-commerce.com"

meta:
  compatibility:
      from: 1.7.6.0
      to: ~

  available_layouts:
    layout-full-width:
      name: Full Width
      description: No side columns, ideal for distraction-free pages such as product pages.
    layout-both-columns:
      name: Three Columns
      description: One large central column and 2 side columns.
    layout-left-column:
      name: Two Columns, small left column
      description: Two columns with a small left column
    layout-right-column:
      name: Two Columns, small right column
      description: Two columns with a small right column

assets:
  css:
    all:
      - id: font-awesome
        path: assets/css/font-awesome/css/font-awesome.css
        media: all
        priority: 200

  # If you're using this theme as child and you want to load
  # the parent theme assets, uncomment this line.
#  use_parent_assets: true

  # The following lines are showing how to load assets in your page
  # Uncomment and change value to start loading css or js files
#  css:
#    all:
#      - id: custom-lib-style
#        path: assets/css/custom-lib.css
#    product:
#      - id: product-style
#        path: assets/css/product.css
#        media: all
#        priority: 200
#  js:
#    cart:
#      - id: cat-extra-lib
#        path: assets/js/cart-lib.js





global_settings:
  configuration:
    PS_IMAGE_QUALITY: png
    PS_QUICK_VIEW: true
    PS_BLOCK_CART_AJAX: true
    PS_PRODUCTS_PER_PAGE: 24
  modules:
   to_enable:
     - revsliderprestashop
     - iqitadditionaltabs
     - iqithtmlandbanners
     - iqitcompare
     - iqitcontactpage
     - iqitcookielaw
     - iqitcrossselling
     - iqitcountdown
     - iqitelementor
     - iqitemailsubscriptionconf
     - iqitaddthisplugin
     - iqitfreedeliverycount
     - iqitlinksmanager
     - iqitmegamenu
     - iqitpopup
     - iqitproductsnav
     - iqitproducttags
     - iqitreviews
     - iqitsearch
     - iqitsizecharts
     - iqitthemeeditor
     - iqitwishlist
     - iqitextendedproduct
     - ps_emailsubscription
     - ph_simpleblog
     - ph_blog_column_custom
     - ph_relatedposts
     - iqitdashboardnews
     - iqitsociallogin
   to_disable:
     - ps_linklist
     - ps_mainmenu
     - ps_categorytree
     - ps_featuredproducts
     - ps_searchbar
     - ps_imageslider
     - ps_customtext
     - blockreassurance
     - ps_banner
     - ps_contactinfo
     - ps_socialfollow
  hooks:
    modules_to_hook:
      displayNav1:
         - iqitlinksmanager
      displayNav2:
        - ps_languageselector
        - ps_currencyselector
        - iqitwishlist
        - iqitcompare
      displayTopColumn:
        - revsliderprestashop
      displayHome:
        - revsliderprestashop
        - iqitelementor
        - ~
      displayFooter:
        - iqitlinksmanager
        - iqitcontactpage
      displayLeftColumn:
        - ps_categorytree
        - ps_facetedsearch
      displayProductAdditionalInfo:
        - ps_sharebuttons
        - iqitproducttags
      displayAfterProductAddCartBtn:
        - iqitwishlist
        - iqitcompare
      displayCustomerAccount:
        - iqitwishlist
      displayProductListFunctionalButtons:
        - iqitwishlist
        - iqitcompare
      displayBeforeBodyClosingTag:
        - iqitwishlist
        - iqitcompare
        - iqitpopup
        - iqitcookielaw
      displayRightColumnProduct:
        - iqithtmlandbanners
      displayReassurance:
        - iqitaddthisplugin
      displayCustomerLoginFormAfter:
        - iqitsociallogin
      displayRegistrationBeforeForm:
        - iqitsociallogin
      displayFooterBefore:
      displayCheckoutLoginFormAfter:
        - iqitsociallogin
      displayBackOfficeHeader:
        - ~
        - iqitelementor
      displayCMSDisputeInformation:
        - iqitelementor
      displayBlogElementor:
        - iqitelementor
      displayProductElementor:
        - iqitelementor
      displayCategoryElementor:
        - iqitelementor


  image_types:
    cart_default:
      width: 125
      height: 162
      scope: [products]
    small_default:
      width: 98
      height: 127
      scope: [products, categories, manufacturers, suppliers]
    medium_default:
      width: 452
      height: 584
      scope: [products, categories, manufacturers, suppliers]
    home_default:
      width: 236
      height: 305
      scope: [products]
    large_default:
      width: 381
      height: 492
      scope: [products, manufacturers, suppliers]
    category_default:
      width: 1003
      height: 200
      scope: [categories]
    stores_default:
      width: 170
      height: 115
      scope: [stores]
    thickbox_default:
      width: 1100
      height: 1422
      scope: [products]


theme_settings:
  default_layout: layout-full-width
  layouts:
    category: layout-left-column
    best-sales: layout-left-column
    new-products: layout-left-column
    prices-drop: layout-left-column



dependencies:
  modules:
    - iqitadditionaltabs
    - iqitaddthisplugin
    - iqitcompare
    - iqitcontactpage
    - iqitcookielaw
    - iqitcountdown
    - iqitcrossselling
    - iqitelementor
    - iqitemailsubscriptionconf
    - iqitextendedproduct
    - iqitfreedeliverycount
    - iqitlinksmanager
    - iqitmegamenu
    - iqitpopup
    - iqitproductsnav
    - iqitproducttags
    - iqitreviews
    - iqitsearch
    - iqitsizecharts
    - iqitsociallogin
    - iqithtmlandbanners
    - iqitthemeeditor
    - iqitwishlist
    - revsliderprestashop
    - ph_simpleblog
    - ph_blog_column_custom
    - ph_relatedposts
    - iqitdashboardnews


